# This file is the input for generating the list of preferences
# for pc_network.cpp and pc_network.h.
#
# For information on how to add or modify a preference, please
# refer to the module documentation.
#
# Preferences cannot depend directly on FEATUREs, they must depend
# on the macro they define.
#
Collection:  PrefsCollectionNetwork
Macro name:  PCNETWORK
Description: Networking
Type:        normal

Preference:  IspUserAgentId
Depends on:  COMPONENT_IN_UASTRING_SUPPORT
Section:     ISP
Key:         Id
Type:        string
Description: ISP id for User-Agent string
Default:     ""

Preference:  HelpUrl
Depends on:  HELP_SUPPORT
Section:     User Prefs
Key:         Help URL
Type:        string
Description: URL to help files
Default:     "http://help.opera.com/help/"

Preference:  AutomaticProxyConfigURL
Depends on:  SUPPORT_AUTO_PROXY_CONFIGURATION
Section:     Proxy
Key:         Automatic Proxy Configuration URL
Type:        string
Description: URL of automatic proxy config file
Default:     ""

Preference:  HTTPProxy
Depends on:  
Section:     Proxy
Key:         HTTP server
Type:        string
Description: Proxy host:port for HTTP
Default:     ""

Preference:  HTTPSProxy
Depends on:  
Section:     Proxy
Key:         HTTPS server
Type:        string
Description: Proxy host:port for HTTPS
Default:     ""

Preference:  FTPProxy
Depends on:  FTP_SUPPORT
Section:     Proxy
Key:         FTP server
Type:        string
Description: Proxy host:port for FTP
Default:     ""

Preference:  GopherProxy
Depends on:  GOPHER_SUPPORT
Section:     Proxy
Key:         Gopher server
Type:        string
Description: Proxy host:port for Gopher
Default:     ""

Preference:  WAISProxy
Depends on:  WAIS_SUPPORT
Section:     Proxy
Key:         WAIS server
Type:        string
Description: Proxy host:port for WAIS
Default:     ""

Preference:  SOCKSProxy
Depends on:  SOCKS_SUPPORT
Section:     Proxy
Key:         SOCKS server
Type:        string
Description: Proxy host:port for SOCKS
Default:     ""

Preference:  SOCKSUser
Depends on:  SOCKS_SUPPORT
Section:     Proxy
Key:          SOCKS username
Type:        string
Description: username for SOCKS basic authentication
Default:     ""

Preference:  SOCKSPass
Depends on:  SOCKS_SUPPORT
Section:     Proxy
Key:          SOCKS password
Type:        string
Description: password for SOCKS basic authentication
Default:     ""

Preference:  NoProxyServers
Depends on:  
Section:     Proxy
Key:         No Proxy Servers
Type:        string
Description: Servers not to use proxy for
Default:     ""

Preference:  AcceptTypes
Depends on:  
Section:     Network
Key:         HTTP Accept
Type:        string
Description: Data for HTTP header "Accept"
Default:     ""

Preference:  AcceptLanguage
Depends on:  
Section:     Network
Key:         HTTP Accept Language
Type:        string
Description: Data for HTTP header "Accept-Language"
Default:     ""

Preference:  DoNotTrack
Depends on:
Section:     Network
Key:         Enable Do Not Track Header
Type:        boolean
Description: Enables the Do-Not-Track HTTP header (DNT), to express your preference that third party websites (e.g. ad networks) not track your identity between websites
Default:     FALSE

Preference:  HostNameExpansionPrefix
Depends on:  ADD_PERMUTE_NAME_PARTS
Section:     Network
Key:         HostName Expansion Prefix
Type:        string
Description: What to prepend to URLs
Default:     DEFAULT_PREFS_EXPANSION_PREFIX

Preference:  HostNameExpansionPostfix
Depends on:  ADD_PERMUTE_NAME_PARTS
Section:     Network
Key:         HostName Expansion Postfix
Type:        string
Description: What to append to URLs
Default:     ""

Preference:  HostNameWebLookupAddress
Depends on:  ADD_PERMUTE_NAME_PARTS
Section:     Network
Key:         HostName Web Lookup Address
Type:        string
Description: Search engine address to use for Web lookup of entered hostname.
Default:     ""

Preference:  IdnaWhiteList
Depends on:  
Section:     Network
Key:         IDNA White List
Type:        string
Description: IDNA white list for display of Unicode
Default:     ":no:jp:de:se:kr:tw:cn:at:dk:ch:li:museum:hu:"

Preference:  PermittedPorts
Depends on:  
Section:     Network
Key:         Permitted Ports
Type:        string
Description: Comma-separated list of additional permitted ports
Default:     ""

Preference:  BytemobileGUID
Depends on:  defined PREFS_HAVE_EBO_GUID || defined _EMBEDDED_BYTEMOBILE
Section:     Network
Key:         ByteMobile GUID
Type:        string
Description: Unique identifier code for Bytemobile
Default:     ""

Preference:  OutOfCoverageFileName
Depends on:  __OEM_EXTENDED_CACHE_MANAGEMENT
Section:     OEM
Key:         Out Of Coverage File Name
Type:        string
Description: Name of substitute file name to use if unit is out of coverage
Default:     ""

Preference:  NeverFlushTrustedServers
Depends on:  __OEM_EXTENDED_CACHE_MANAGEMENT
Section:     OEM
Key:         Never Flush Trusted Servers
Type:        string
Description: Which servers to trust for the Never Flush cache management functionality
Default:     DEFAULT_OEM_TRUSTED_SERVERS

Preference:  NoLocalFile
Depends on:  
Section:     User Prefs
Key:         No Local File
Type:        boolean
Description: Disable browsing of local files
Default:     FALSE

Preference:  MaxTotalCookies
Depends on:  PREFS_HAVE_MAX_COOKIES
Section:     User Prefs
Key:         Maximum Total Cookies
Type:        integer
Description: Maximum number of cookies
Default:     300

Preference:  ShowCookieDomainErr
Depends on:  _ASK_COOKIE
Section:     User Prefs
Key:         Show Cookie Domain Errors
Type:        boolean
Description: No cookie domain errors
Default:     FALSE

Preference:  CookiePathErrMode
Depends on:  _ASK_COOKIE
Section:     User Prefs
Key:         Cookie Path Error Mode
Type:        integer
Description: Avoid displaying error dialogs for cookie paths
Default:     2

Preference:  DontShowCookieNoIPAddressErr
Depends on:  defined _ASK_COOKIE && !defined PUBSUFFIX_ENABLED
Section:     User Prefs
Key:         Set-Cookie No IP Address Policy
Type:        integer
Description: Handling missing IP address when trying to set cookie (0=refuse with error, 1=refuse silently, 2=accept for server)
Default:     2

Preference:  DisabledCookieState
Depends on:  PREFS_HAVE_DISABLED_COOKIE_STATE
Section:     User Prefs
Key:         Disabled Cookie State
Type:        integer
Description: Cookiestate setting when last enabled (used by UI)
Default:     COOKIE_ALL

Preference:  DecodeAll
Depends on:  
Section:     User Prefs
Key:         Synchronous decode
Type:        boolean
Description: Decode images until cache is full.
Default:     DEFAULT_DECODEALL_MODE

Preference:  AutomaticRamCache
Depends on:  PREFS_AUTOMATIC_RAMCACHE
Section:     User Prefs
Key:         Automatic RAM Cache
Type:        boolean
Description: Calculate size of RAM cache from total RAM
Default:     DEFAULT_AUTOMATIC_RAM_CACHE

Preference:  OfflineMode
Depends on:  
Section:     User Prefs
Key:         Offline Mode
Type:        boolean
Description: Flag for offline mode
Default:     FALSE

Preference:  WarnInsecureFormSubmit
Depends on:  
Section:     User Prefs
Key:         Warn Insecure Form
Type:        boolean
Description: Warn when form is submitted in clear text
Default:     DEFAULT_WARN_INSECURE_VALUE

Preference:  EnableClientPull
Depends on:  
Section:     User Prefs
Key:         Client Pull
Type:        boolean
Description: Enable redirection by HTTP header
Default:     DEFAULT_ENABLE_CLIENT_PULL

Preference:  EnableClientRefresh
Depends on:  
Section:     User Prefs
Key:         Client Refresh
Type:        boolean
Description: Enable refresh by META tag
Default:     DEFAULT_ENABLE_CLIENT_REFRESH

Preference:  ClientRefreshToSame
Depends on:  
Section:     User Prefs
Key:         Client Refresh To Same Location
Type:        boolean
Description: Allow multiple refreshes by META tag to the same location
Default:     DEFAULT_ALLOW_CLIENT_REFRESH_TO_SAME

Preference:  TrustServerTypes
Depends on:  
Section:     User Prefs
Key:         Trust Server Types
Type:        boolean
Description: Trust server's Content-Types
Default:     DEFAULT_TRUST_SERVER_TYPES

Preference:  CookiesEnabled
Depends on:  
Section:     User Prefs
Key:         Enable Cookies
Type:        integer
Description: Enable cookie support
Default:     COOKIE_ALL

Preference:  ReferrerEnabled
Depends on:  
Section:     User Prefs
Key:         Enable Referrer
Type:        boolean
Description: Enable Referer:
Default:     TRUE

Preference:  DisplayReceivedCookies
Depends on:  _ASK_COOKIE
Section:     User Prefs
Key:         Ask For Cookie Confirmation
Type:        boolean
Description: Display incoming cookies
Default:     FALSE

Preference:  AcceptCookiesSessionOnly
Depends on:  _ASK_COOKIE
Section:     User Prefs
Key:         Accept Cookies Session Only
Type:        boolean
Description: Do not keep cookies after exiting Opera
Default:     FALSE

Preference:  UAMode
Depends on:  PREFS_HAVE_UAMODE
Section:     User Prefs
Key:         UA Mode
Type:        integer
Description: UA string extension, used with Identify as on UI
Default:     0

Preference:  UseSmileyImages
Depends on:  SMILEY_SUPPORT
Section:     User Prefs
Key:         Use Smiley Images
Type:        boolean
Description: Enable smileys
Default:     TRUE

Preference:  VSMaxIndexSize
Depends on:  defined VISITED_PAGES_SEARCH && !defined HISTORY_SUPPORT
Section:     User Prefs
Key:         Max Visited Pages Index Size
Type:        integer
Description: Maximum size of the index for visited pages search, 0 means that the index is disabled
Default:     -1

Preference:  EnableTrustRating
Depends on:  TRUST_RATING
Section:     User Prefs
Key:         Enable Trust Rating
Type:        boolean
Description: Enable anti-phising by trust rating each visited web-site
Default:     DEFAULT_TRUST_RATING_ENABLED

Preference:  NoConnectionKeepAlive
Depends on:  
Section:     Performance
Key:         No Connection Keepalive
Type:        boolean
Description: Allow persistent connections to servers for HTTP, FTP and news?
Default:     DEFAULT_NOKEEPALIVE

Preference:  SyncDNSLookup
Depends on:  SYNCHRONOUS_HOST_RESOLVING
Section:     Performance
Key:         Synchronous DNS Lookup
Type:        boolean
Description: Use synchronous DNS lookup
Default:     DEFAULT_SYNC_DNS_LOOKUP

Preference:  UseExtraIdleConnections
Depends on:  
Section:     Performance
Key:         Extra Idle Connections
Type:        boolean
Description: Open extra idle connections to current server.
Default:     DEFAULT_USE_EXTRA_IDLE_CONNECTIONS

Preference:  OpenIdleConnectionOnClose
Depends on:  
Section:     Performance
Key:         Open Idle Connections On Close
Type:        boolean
Description: Open an idle connection to current server when a connection used for sending requests closes.
Default:     DEFAULT_OPEN_IDLE_CONNECTION_ON_CLOSE

Preference:  MaxConnectionsServer
Depends on:  
Section:     Performance
Key:         Max Connections Server
Type:        integer
Description: Maximum simultaneous connections per server
Default:     DEFAULT_MAX_CONNECTIONS_SERVER

Preference:  MaxPersistentConnectionsServer
Depends on:  
Section:     Performance
Key:         Max Persistent Connections Server
Type:        integer
Description: Maximum simultaneous persistent connections per server
Default:     DEFAULT_MAX_PERSISTENT_CONNECTIONS_SERVER

Preference:  MaxConnectionsTotal
Depends on:  
Section:     Performance
Key:         Max Connections Total
Type:        integer
Description: Maximum simultaneous connections total
Default:     DEFAULT_MAX_CONNECTIONS_TOTAL

Preference:  NetworkBufferSize
Depends on:  
Section:     Performance
Key:         Network Buffer Size
Type:        integer
Description: Size of network buffer, in kilobytes
Default:     DEFAULT_NETWORK_BUFFER_SIZE

Preference:  Use100Continue
Depends on:  PREFS_HOSTOVERRIDE
Section:     Performance
Key:         Non-Compliant Server 100 Continue
Type:        boolean
Description: Use 100-continue override for non-compliant host
Default:     FALSE

Preference:  AllowPreSendAuthentication
Depends on:  _USE_PREAUTHENTICATION_
Section:     Network
Key:         Allow Pre Authentication
Type:        boolean
Description: Store HTTP authentication?
Default:     TRUE

Preference:  TagUrlsUsingPasswordRelatedCookies
Depends on:
Section:     Network
Key:         Track Password Cookie Usage
Type:        boolean
Description: Tag any Urls that may have been accessed with a cookie that may contain a password (directly or indirectly)
Default:     FALSE

Preference:  EnableCookiesDNSCheck
Depends on:  
Section:     Network
Key:         Enable Cookies DNS Check
Type:        boolean
Description: Enable support for checking for the cookie monster bug with a DNS/HEAD request
Default:     FALSE

Preference:  EnableCookiesV2
Depends on:  
Section:     Network
Key:         Enable Cookies V2
Type:        boolean
Description: Enable support for Cookies version 2, RFC 2965
Default:     FALSE

Preference:  CheckPermutedHostNames
Depends on:  ADD_PERMUTE_NAME_PARTS
Section:     Network
Key:         Enable HostName Expansion
Type:        boolean
Description: Use auto-completion of URLs?
Default:     DEFAULT_ENABLE_HOSTNAME_EXPANSION

Preference:  CheckHostOnLocalNetwork
Depends on:  ADD_PERMUTE_NAME_PARTS
Section:     Network
Key:         Check Local HostName
Type:        boolean
Description: Check local network URLs?
Default:     DEFAULT_ENABLE_LOCAL_HOST_NAME

Preference:  EnableHostNameWebLookup
Depends on:  ADD_PERMUTE_NAME_PARTS
Section:     Network
Key:         Enable HostName Web Lookup
Type:        boolean
Description: Perform Web search for entered host name?
Default:     FALSE

Preference:  UseAbsoluteFTPPath
Depends on:  FTP_SUPPORT
Section:     Network
Key:         Use Absolute FTP Path
Type:        boolean
Description: Absolute or relative FTP paths
Default:     FALSE

Preference:  UseUTF8Urls
Depends on:  
Section:     Network
Key:         UTF8 Escape URLs
Type:        boolean
Description: UTF-8 escape non-ASCII URLs
Default:     TRUE

Preference:  HTTPResponseTimeout
Depends on:  HTTP_CONNECTION_TIMERS
Section:     Network
Key:         HTTP Response Timeout
Type:        integer
Description: Timeout for HTTP responses (seconds)
Default:     DEFAULT_HTTP_RESPONSE_TIMEOUT

Preference:  HTTPIdleTimeout
Depends on:  HTTP_CONNECTION_TIMERS
Section:     Network
Key:         HTTP Idle Timeout
Type:        integer
Description: Timeout for idle HTTP (seconds)
Default:     DEFAULT_HTTP_IDLE_TIMEOUT

Preference:  EnableNTLM
Depends on:  _SUPPORT_PROXY_NTLM_AUTH_
Section:     Network
Key:         Enable NTLM
Type:        boolean
Description: Enable NTLM and Negotiate authentication methods.
Default:     TRUE

Preference:  EnableContentBlocker
Depends on:  URL_FILTER
Section:     Network
Key:         Enable Content Blocker
Type:        boolean
Description: Enable the content blocker
Default:     TRUE

Preference:  AlwaysCheckRedirectChanged
Depends on:  
Section:     Cache
Key:         Always Check Redirect
Type:        boolean
Description: Check redirection for cache
Default:     DEFAULT_CHECK_REDIRECT

Preference:  AlwaysCheckRedirectChangedImages
Depends on:  
Section:     Cache
Key:         Always Check Redirect Images
Type:        boolean
Description: Check redirection for images
Default:     DEFAULT_CHECK_REDIRECT_CHANGED_IMAGES

Preference:  AlwaysCheckNeverExpireGetQueries
Depends on:  
Section:     Cache
Key:         Always Check Never-Expiring GET queries
Type:        boolean
Description: Check normal GET URLs if they have "?" in the URL and no expiration date from server
Default:     DEFAULT_CHECK_NEVER_EXPIRE_GET_QUERIES

Preference:  AlwaysReloadHTTPSInHistory
Depends on:  
Section:     Cache
Key:         Always Reload HTTPS In History
Type:        boolean
Description: Always Reload HTTPS In History
Default:     DEFAULT_RELOAD_HTTPS_IN_HISTORY

Preference:  CacheHTTPSAfterSessions
Depends on:  
Section:     Cache
Key:         Cache HTTPS After Sessions
Type:        boolean
Description: Keep HTTPS pages in cache
Default:     TRUE

Preference:  CheckExpiryHistory
Depends on:  
Section:     Cache
Key:         Check Expiry History
Type:        integer
Description: How to check expiry when walking in history
Default:     CHECK_EXPIRY_NEVER

Preference:  CheckExpiryLoad
Depends on:  
Section:     Cache
Key:         Check Expiry Load
Type:        integer
Description: How to check expiry when loading pages
Default:     CHECK_EXPIRY_NORMAL

Preference:  SetFileWriterThreadPriority
Depends on:  SUPPORT_THREADED_FILEWRITER
Section:     Cache
Key:         Set File Writer Thread Priority
Type:        boolean
Description: Whether to set the priority of the file writer thread
Default:     FALSE

Preference:  FileWriterThreadPriority
Depends on:  SUPPORT_THREADED_FILEWRITER
Section:     Cache
Key:         File Writer Thread Priority
Type:        integer
Description: The priority to set the file writer thread to (platform dependent interpretation)
Default:     0

Preference:  FileWriterCacheSize
Depends on:  SUPPORT_THREADED_FILEWRITER
Section:     Cache
Key:         File Writer Cache Size
Type:        integer
Description: The size (in bytes) of the file writer memory cache
Default:     0x40000

Preference:  CacheToDisk
Depends on:  DISK_CACHE_SUPPORT
Section:     Disk Cache
Key:         Enabled
Type:        boolean
Description: Whether to cache to disk
Default:     DEFAULT_CACHE_TO_DISK

Preference:  MultimediaStreamSize
Depends on:  DISK_CACHE_SUPPORT
Section:     Disk Cache
Key:         Multimedia Stream Size
Type:        integer
Description: Size, in KB, of the file used when streaming with the Multimedia Cache
Default:     DEFAULT_MULTIMEDIA_STREAM_SIZE

Preference:  MultimediaStreamAlways
Depends on:  DISK_CACHE_SUPPORT
Section:     Disk Cache
Key:         Multimedia Stream Always
Type:        boolean
Description: Always stream Multimedia content (audio/video tag), wasting bandwidth but saving disk space
Default:     DEFAULT_MULTIMEDIA_STREAM_ALWAYS

Preference:  MultimediaStreamRAM
Depends on:  DISK_CACHE_SUPPORT
Section:     Disk Cache
Key:         Multimedia Stream in RAM
Type:        boolean
Description: When streaming, do it in RAM
Default:     DEFAULT_MULTIMEDIA_STREAM_RAM

Preference:  CacheDocs
Depends on:  
Section:     Disk Cache
Key:         Cache Docs
Type:        boolean
Description: Whether to cache documents on disk
Default:     DEFAULT_CACHE_DISK_DOCS

Preference:  CacheFigs
Depends on:  
Section:     Disk Cache
Key:         Cache Figs
Type:        boolean
Description: Whether to cache images on disk
Default:     DEFAULT_CACHE_DISK_FIGS

Preference:  CacheOther
Depends on:  
Section:     Disk Cache
Key:         Cache Other
Type:        boolean
Description: Whether to cache other stuff on disk
Default:     DEFAULT_CACHE_DISK_OTHER

Preference:  CacheHTTPS
Depends on:  
Section:     Disk Cache
Key:         Cache HTTPS
Type:        boolean
Description: Whether to cache HTTPS data on disk
Default:     FALSE

Preference:  EmptyCacheOnExit
Depends on:  DISK_CACHE_SUPPORT
Section:     Disk Cache
Key:         Empty On Exit
Type:        boolean
Description: Whether to empty cache when leaving
Default:     FALSE

Preference:  DiskCacheSize
Depends on:  
Section:     Disk Cache
Key:         Size
Type:        integer
Description: Size of disk cache (kbytes)
Default:     DEFAULT_CACHE_DISK_SIZE

Preference:  DiskCacheBufferSize
Depends on:  
Section:     Disk Cache
Key:         Buffer Size
Type:        integer
Description: Size of disk cache buffer (kbytes)
Default:     DEFAULT_CACHE_DISK_BUFFER_SIZE

Preference:  MediaCacheSize
Depends on:  MEDIA_PLAYER_SUPPORT
Section:     Disk Cache
Key:         Media Cache Size
Type:        integer
Description: Size of media disk cache (kbytes)
Default:     DEFAULT_MEDIA_CACHE_SIZE

Preference:  CheckDocModification
Depends on:  
Section:     Disk Cache
Key:         Docs Modification
Type:        integer
Description: When to check if documents are modified
Default:     TIME

Preference:  CheckFigModification
Depends on:  
Section:     Disk Cache
Key:         Figs Modification
Type:        integer
Description: When to check if images are modified
Default:     TIME

Preference:  CheckOtherModification
Depends on:  
Section:     Disk Cache
Key:         Other Modification
Type:        integer
Description: When to check if other objects are modified
Default:     TIME

Preference:  DocExpiry
Depends on:  
Section:     Disk Cache
Key:         Documents Expiry
Type:        integer
Description: Expiry time of documents in seconds
Default:     DEFAULT_DOCUMENTS_EXPIRY

Preference:  FigsExpiry
Depends on:  
Section:     Disk Cache
Key:         Images Expiry
Type:        integer
Description: Expiry time of images in seconds
Default:     DEFAULT_IMAGES_EXPIRY

Preference:  OtherExpiry
Depends on:  
Section:     Disk Cache
Key:         Other Expiry
Type:        integer
Description: Expiry time of other objects in seconds
Default:     DEFAULT_OTHERS_EXPIRY

Preference:  OperatorDiskCacheSize
Depends on:  defined __OEM_EXTENDED_CACHE_MANAGEMENT && defined __OEM_OPERATOR_CACHE_MANAGEMENT
Section:     OEM
Key:         Operator Cache Size
Type:        integer
Description: Size of operator disk cache (kbytes)
Default:     DEFAULT_CACHE_DISK_SIZE

Preference:  NeverFlushExpirationTimeDays
Depends on:  defined __OEM_EXTENDED_CACHE_MANAGEMENT && !defined __OEM_OPERATOR_CACHE_MANAGEMENT
Section:     OEM
Key:         Never Flush Cache Expiration Time Days
Type:        integer
Description: Number of days to keep a never flush item
Default:     30

Preference:  EnableProxy
Depends on:  URL_PER_SITE_PROXY_POLICY
Section:     Proxy
Key:         Enable Proxy
Type:        boolean
Description: Enable proxy or not
Default:     TRUE

Preference:  HasNoProxyServers
Depends on:  
Section:     Proxy
Key:         No Proxy Servers Check
Type:        boolean
Description: Should the proxy exclusion list beused?
Default:     TRUE

Preference:  HasUseProxyLocalNames
Depends on:  
Section:     Proxy
Key:         Use Proxy On Local Names Check
Type:        boolean
Description: Should proxy be used on local servers?
Default:     DEFAULT_PROXY_LOCAL_NAMES

Preference:  AutomaticProxyConfig
Depends on:  SUPPORT_AUTO_PROXY_CONFIGURATION
Section:     Proxy
Key:         Use Automatic Proxy Configuration
Type:        boolean
Description: Should automatic proxy configuration be used?
Default:     FALSE

Preference:  EnableHTTP11ForProxy
Depends on:  
Section:     Proxy
Key:         Enable HTTP 1.1 for proxy
Type:        boolean
Description: Permit HTTP 1.1 when connecting to proxy
Default:     DEFAULT_HTTP_1_1_FOR_PROXY

Preference:  EnableStartWithHTTP11ForProxy
Depends on:  
Section:     Proxy
Key:         Enable start with HTTP 1.1 for proxy
Type:        boolean
Description: Permit HTTP 1.1 on first request when connecting to proxy
Default:     TRUE

Preference:  UseHTTPProxy
Depends on:  
Section:     Proxy
Key:         Use HTTP
Type:        boolean
Description: Enable HTTP proxy
Default:     FALSE

Preference:  UseSpdyForHTTPProxy
Depends on:  
Section:     Proxy
Key:         Use SPDY for HTTP proxy
Type:        integer
Description: Enable SPDY for HTTP proxy; 0 = disabled, 1 = spdy/2, 2 = spdy/3
Default:     0

Preference:  UseSpdyForTurbo
Depends on:  
Section:     Proxy
Key:         Use SPDY for Turbo
Type:        boolean
Description: Enable SPDY for Turbo
Default:     FALSE

Preference:  UseHTTPSProxy
Depends on:  
Section:     Proxy
Key:         Use HTTPS
Type:        boolean
Description: Enable HTTPS proxy
Default:     FALSE

Preference:  UseFTPProxy
Depends on:  FTP_SUPPORT
Section:     Proxy
Key:         Use FTP
Type:        boolean
Description: Enable FTP proxy
Default:     FALSE

Preference:  UseGopherProxy
Depends on:  GOPHER_SUPPORT
Section:     Proxy
Key:         Use GOPHER
Type:        boolean
Description: Enable gopher proxy
Default:     FALSE

Preference:  UseWAISProxy
Depends on:  WAIS_SUPPORT
Section:     Proxy
Key:         Use WAIS
Type:        boolean
Description: Enable WAIS proxy
Default:     FALSE

Preference:  RemoteSocksDNS
Depends on:  SOCKS_SUPPORT
Section:     Proxy
Key:         Use Remote SOCKS DNS Lookups
Type:        boolean
Description: Let SOCKS proxy handle DNS lookups
Default:     FALSE

Preference:  UseSOCKSProxy
Depends on:  SOCKS_SUPPORT
Section:     Proxy
Key:         Use SOCKS
Type:        boolean
Description: Enable SOCKS proxy
Default:     FALSE

Preference:  EnablePipelining
Depends on:  
Section:     Performance
Key:         Enable Pipelining
Type:        boolean
Description: Enable HTTP Pipelining
Default:     TRUE

Preference:  EmbeddedBytemobile
Depends on:  _EMBEDDED_BYTEMOBILE
Section:     Proxy
Key:         Use ByteMobile Optimizing Proxy
Type:        boolean
Description: Should ByteMobile proxy configuration be used?
Default:     TRUE

Preference:  EmbeddedOptimizationLevel
Depends on:  _EMBEDDED_BYTEMOBILE
Section:     Proxy
Key:         ByteMobile Optimization Level
Type:        integer
Description: ByteMobile optimization level.
Default:     0

Preference:  EmbeddedPrediction
Depends on:  _EMBEDDED_BYTEMOBILE
Section:     Proxy
Key:         ByteMobile Prediction
Type:        boolean
Description: ByteMobile prediction enabled.
Default:     TRUE

Preference:  EmbeddedImageResize
Depends on:  _EMBEDDED_BYTEMOBILE
Section:     Proxy
Key:         ByteMobile Image Resize
Type:        boolean
Description: ByteMobile image resize enabled.
Default:     FALSE

Preference:  BytemobileOptimizationEnabled
Depends on:  _BYTEMOBILE
Section:     Proxy
Key:         ByteMobile Optimization
Type:        boolean
Description: ByteMobile optimization enabled
Default:     FALSE

Preference:  StrictSmartCardSecurityLevel
Depends on:  _SSL_USE_SMARTCARD_
Section:     SmartCards
Key:         Strict Management Level
Type:        integer
Description: Undocumented
Default:     1

Preference:  SmartCardTimeOutMinutes
Depends on:  _SSL_USE_SMARTCARD_
Section:     SmartCards
Key:         Session Timeout Minutes
Type:        integer
Description: Undocumented
Default:     5

Preference:  AutomaticallyUseSingleAvailableSmartcard
Depends on:  _SSL_USE_SMARTCARD_
Section:     SmartCards
Key:         Automatically Select Single Certificate
Type:        boolean
Description: Undocumented
Default:     TRUE

Preference:  WarnIfNoSmartCardInReader
Depends on:  _SSL_USE_SMARTCARD_
Section:     SmartCards
Key:         Warn If No Card In Reader
Type:        boolean
Description: Undocumented
Default:     FALSE

Preference:  UABaseId
Depends on:  
Section:     User Agent
Key:         Spoof UserAgent ID
Type:        integer
Description: Browser identification string
Default:     UA_Opera

Preference:  FollowedLinkExpireHours
Depends on:  
Section:     Link
Key:         Expiry (Hours)
Type:        integer
Description: Expiry time for followed links (hour part)
Default:     10

Preference:  FollowedLinkExpireDays
Depends on:  
Section:     Link
Key:         Expiry
Type:        integer
Description: Expiry time for followed links (day part)
Default:     10

Preference:  ForceCD
Depends on:  PREFS_HAVE_FORCE_CD
Section:     System
Key:         Force CD
Type:        boolean
Description: Only allow CD operation
Default:     FALSE

Preference:  EnableSSL2_X
Depends on:  defined _SSL_SUPPORT_ && defined SSL_2_0_SUPPORT
Section:     Security Prefs
Key:         Enable SSL v2
Type:        boolean
Description: Enable SSL 2 support
Default:     FALSE

Preference:  EnableSSL3_0
Depends on:  _SSL_SUPPORT_
Section:     Security Prefs
Key:         Enable SSL v3
Type:        boolean
Description: Enable SSL 3.0 support
Default:     TRUE

Preference:  EnableSSL3_1
Depends on:  _SSL_SUPPORT_
Section:     Security Prefs
Key:         Enable TLS v1.0
Type:        boolean
Description: Enable TLS 1.0 support
Default:     TRUE

Preference:  EnableTLS1_1
Depends on:  _SSL_SUPPORT_
Section:     Security Prefs
Key:         Enable TLS v1.1
Type:        boolean
Description: Enable TLS 1.1 support
Default:     FALSE

Preference:  EnableTLS1_2
Depends on:  defined _SSL_SUPPORT_ && defined _SUPPORT_TLS_1_2
Section:     Security Prefs
Key:         Enable TLS v1.2
Type:        boolean
Description: Enable TLS 1.2 support
Default:     FALSE

Preference:  WarnAboutImportedCACertificates
Depends on:  _SSL_SUPPORT_
Section:     Security Prefs
Key:         Warn About Imported CA Certificates
Type:        boolean
Description: Enable warnings about imported CA certificates
Default:     DEFAULT_IMPORTED_CACERTIFICATES_WARNING

Preference:  SecurityPasswordLifeTime
Depends on:  CRYPTO_API_SUPPORT
Section:     Security Prefs
Key:         Password Lifetime
Type:        integer
Description: Time to keep security password in mem (minutes)
Default:     5

Preference:  MinimumSecurityLevel
Depends on:  _SSL_SUPPORT_
Section:     Security Prefs
Key:         Minimum Security Level
Type:        integer
Description: Minimum SSL security level allowed
Default:     0

Preference:  UseParanoidMailpassword
Depends on:  defined M2_SUPPORT || defined WAND_SUPPORT
Section:     Security Prefs
Key:         Use Paranoid Mailpassword
Type:        boolean
Description: Use master password for Wand/e-mail
Default:     FALSE

Preference:  MasterPasswordCheckCodeAndSalt
Depends on:  !defined _NATIVE_SSL_SUPPORT_
Section:     Security Prefs
Key:         Master password check code
Type:        string
Description: Master password check codes for external ssl. Used to check that you type in correct password, without storing the actual password.
Default:     ""

Preference:  UseOCSPValidation
Depends on:  
Section:     Security Prefs
Key:         OCSP Validate Certificates
Type:        boolean
Description: Enable online certificate validation
Default:     TRUE

Preference:  UseCRLValidationForSSL
Depends on:  LIBSSL_ENABLE_CRL_SUPPORT  
Section:     Security Prefs
Key:         Certificate revocation lists for ssl
Type:        boolean
Description: Enable online revocation of certificates for ssl connections 
Default:     DEFAULT_USE_CRL_PREFERENCE_FOR_WEBCERTIFICATES

Preference:  UseSSLFalseStart
Depends on:  LIBSSL_ENABLE_SSL_FALSE_START  
Section:     Security Prefs
Key:         SSL False Start Support
Type:        boolean
Description: Enable false start for faster tls/ssl handshakes.
Default:     DEFAULT_PREFERENCE_ENABLE_SSL_FALSE_START

Preference:  UseStrictTransportSecurity
Depends on:  LIBSSL_ENABLE_STRICT_TRANSPORT_SECURITY
Section:     Security Prefs
Key:         Strict Transport Security support
Type:        boolean
Description: If supported by server, only access the server using HTTPS.
Default:     DEFAULT_PREFERENCE_ENABLE_STRICT_TRANSPORT_SECURITY

Preference:  BTListenPort
Depends on:  _BITTORRENT_SUPPORT_
Section:     BitTorrent
Key:         Listen Port
Type:        integer
Description: Port for incoming bittorrent connections
Default:     DEFAULT_BITTORRENT_PORT

Preference:  EnableBitTorrent
Depends on:  _BITTORRENT_SUPPORT_
Section:     BitTorrent
Key:         Enable
Type:        boolean
Description: Enable BitTorrent support
Default:     TRUE

Preference:  BTWarningDialog
Depends on:  _BITTORRENT_SUPPORT_
Section:     BitTorrent
Key:         Warning Dialog
Type:        boolean
Description: Display warning dialog for BitTorrent downloads
Default:     TRUE

Preference:  BTBandwidthRestrictionMode
Depends on:  _BITTORRENT_SUPPORT_
Section:     BitTorrent
Key:         Bandwidth Restriction Mode
Type:        integer
Description: Which method to use when restricting bandwidth use. 1 = automatic, 2 = fixed rates
Default:     1

Preference:  BTMaxDownloadRate
Depends on:  _BITTORRENT_SUPPORT_
Section:     BitTorrent
Key:         Max Download Rate
Type:        integer
Description: Maximum bandwidth in KB/s to use for downloads
Default:     0

Preference:  BTMaxUploadRate
Depends on:  _BITTORRENT_SUPPORT_
Section:     BitTorrent
Key:         Max Upload Rate
Type:        integer
Description: Maximum bandwidth in KB/s to use for uploads
Default:     0

Preference:  RIMMDSBrowserMode
Depends on:  PREFS_HAVE_RIM_MDS_BROWSER_MODE
Section:     User Prefs
Key:         RIM MDS Browser Mode
Type:        boolean
Description: Enable RIM MDS browser mode
Default:     FALSE

Preference:  StrictEVMode
Depends on:  SSL_CHECK_EXT_VALIDATION_POLICY
Section:     Security Prefs
Key:         Strict EV Mode
Type:        boolean
Description: Enable the strict Extended Validastion mode that does not permit the EV indicator to be displayed for EV documents that include non-EV content
Default:     FALSE

Preference:  PreferIPv6
Depends on:  PREFS_HAVE_PREFER_IPV6
Section:     Network
Key:         Prefer IPv6
Type:        boolean
Description: Prefer IPv6 if available
Default:     FALSE

Preference:  AllowCrossNetworkNavigation
Depends on:
Section:     Network
Key:         Allow Cross Network Navigation
Type:        boolean
Description: Allow navigation between hosts of different network types
Default:     FALSE

Preference:  CryptoMethodOverride
Depends on:  defined _SSL_SUPPORT_ || defined LIBOPEAY_ENABLE_PARTLY_OPENSSL_SUPPORT
Section:     Security Prefs
Key:         Crypto Method Overrides
Type:        integer
Description: "Bitflags for overriding handling of specific crypto methods"
Default:     DEFAULT_CRYPTO_METH_OVERRIDE

Preference:  UseWebTurbo
Depends on:  WEB_TURBO_MODE
Section:     Proxy
Key:         Use Opera Turbo
Type:        integer
Description: Enable Opera Turbo
Default:     DEFAULT_WEB_TURBO_MODE

Preference:  WebTurboBypassURLs
Depends on:  WEB_TURBO_MODE
Section:     Proxy
Key:         Opera Turbo bypass URLs
Type:        string
Description: A list of URLs for which OperaTurbo should not be used.
Default:     ""

Preference:  HoldOnFillingPipelines
Depends on:
Section:     Network
Key:         Hold On Filling Pipelines
Type:        boolean
Description: Hold On Filling Pipelines
Default:     FALSE

Preference:  BlockIDNAInvalidDomains
Depends on:
Section:     Network
Key:         Block IDNA Invalid Domains
Type:        boolean
Description: Block IDNA Invalid Domains
Default:     FALSE

Preference:  IPAddressSecondsToLive
Depends on:
Section:     Network
Key:         IP Address Seconds To Live
Type:        integer
Description: Time in seconds during which an IP address is pinned in memory after a successful resolve. A value equal or lower than 0 means forever.
Default:     600

Preference:  TestLongbatch
Depends on:  defined _NATIVE_SSL_SUPPORT_ && defined SELFTEST
Section:     Network
Key:         Test Longbatch
Type:        boolean
Description: Enable the "long batch" test engine
Default:     FALSE

Preference:  LongbatchURL
Depends on:  defined _NATIVE_SSL_SUPPORT_ && defined SELFTEST
Section:     Network
Key:         Test Longbatch URL
Type:        string
Description: Which URL to load the long batch test configuration from
Default:     "http://testsuites.oslo.osa/core/selftest/libssl/longbatch/all-ssl-urls.txt"

Preference:  TimeOfLastCertUpdateCheck
Depends on:  LIBSSL_AUTO_UPDATE_ROOTS_PERIODICALLY
Section:     Network
Key:         Time Of Last Root Certificate Update Check
Type:        integer
Description: This setting holds the time of the last call home to Opera to check for updated Root Certificates
Default:     0

Preference:  UseSpdy2
Depends on:  USE_SPDY
Section:     Network
Key:         Use Spdy2
Type:        boolean
Description: Enables Opera to use SPDY2 protocol
Default:     TRUE

Preference:  UseSpdy3
Depends on:  USE_SPDY
Section:     Network
Key:         Use Spdy3
Type:        boolean
Description: Enables Opera to use SPDY3 protocol
Default:     TRUE

Preference:  SpdySettingsPersistence
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Settings Persistence
Type:        boolean
Description: Enables Opera to persist SPDY settings when requested by server side
Default:     TRUE

Preference:  SpdySettingsPersistenceTimeout
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Settings Persistence Timeout
Type:        integer
Description: Time after unsused persisted settings are removed from the storage (in seconds)
Default:     864000

Preference:  SpdyPingEnabled
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Ping
Type:        boolean
Description: Enables Opera to initiate PINGs
Default:     DEFAULT_SPDY_PING_ENABLED

Preference:  SpdyPingTimeout
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Ping Timeout
Type:        integer
Description: Timeout for PING response (in seconds)
Default:     30

Preference:  SpdyInitialWindowSize
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Initial Window Size
Type:        integer
Description: Initial window size used in the flow control
Default:     65536

Preference:  SpdyAlwaysForSSL
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Always For SSL
Type:        integer
Description: Forces Opera to always use SPDY for SSL, even if not negotiated with NPN; 0 = disabled, 1 = spdy/2, 2 = spdy/3
Default:     0

Preference:  SpdyWithoutSSL
Depends on:  USE_SPDY
Section:     Network
Key:         Spdy Without SSL
Type:        integer
Description: Forces Opera to use SPDY instead of HTTP; 0 = disabled, 1 = spdy/2, 2 = spdy/3
Default:     0

Preference:  DNSPrefetching
Depends on:  DNS_PREFETCHING
Section:     Network
Key:         DNS Prefetching
Type:        boolean
Description: Enables DNS prefetching when hovering and parsing links
Default:     TRUE

.eof
